Index: uspace/lib/cpp/src/__bits/runtime.cpp
===================================================================
--- uspace/lib/cpp/src/__bits/runtime.cpp	(revision 7137f74c74c9c2eea4980d18b86a6d9667725946)
+++ uspace/lib/cpp/src/__bits/runtime.cpp	(revision ad40b74be3d68c92be9579f82a46483c3613a06d)
@@ -33,4 +33,6 @@
 #include <mutex>
 
+void* __dso_handle = nullptr;
+
 namespace __cxxabiv1
 {
Index: uspace/lib/cpp/src/__bits/unwind.cpp
===================================================================
--- uspace/lib/cpp/src/__bits/unwind.cpp	(revision 7137f74c74c9c2eea4980d18b86a6d9667725946)
+++ uspace/lib/cpp/src/__bits/unwind.cpp	(revision ad40b74be3d68c92be9579f82a46483c3613a06d)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2017 Jaroslav Jindrak
+ * Copyright (c) 2019 Jaroslav Jindrak
  * All rights reserved.
  *
@@ -27,4 +27,5 @@
  */
 
+#include <cassert>
 #include <cstdint>
 #include <cstdlib>
@@ -175,4 +176,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return nullptr;
     }
@@ -181,4 +183,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -186,4 +189,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -191,4 +195,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return nullptr;
     }
@@ -197,4 +202,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return nullptr;
     }
@@ -203,4 +209,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -208,4 +215,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -213,4 +221,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -218,4 +227,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -223,4 +233,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 
@@ -231,4 +242,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return _URC_NO_REASON;
     }
Index: uspace/lib/cpp/src/condition_variable.cpp
===================================================================
--- uspace/lib/cpp/src/condition_variable.cpp	(revision 7137f74c74c9c2eea4980d18b86a6d9667725946)
+++ uspace/lib/cpp/src/condition_variable.cpp	(revision ad40b74be3d68c92be9579f82a46483c3613a06d)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2018 Jaroslav Jindrak
+ * Copyright (c) 2019 Jaroslav Jindrak
  * All rights reserved.
  *
@@ -27,4 +27,5 @@
  */
 
+#include <cassert>
 #include <condition_variable>
 
@@ -88,4 +89,5 @@
     {
         // TODO: implement
+        __unimplemented();
     }
 }
Index: uspace/lib/cpp/src/string.cpp
===================================================================
--- uspace/lib/cpp/src/string.cpp	(revision 7137f74c74c9c2eea4980d18b86a6d9667725946)
+++ uspace/lib/cpp/src/string.cpp	(revision ad40b74be3d68c92be9579f82a46483c3613a06d)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2018 Jaroslav Jindrak
+ * Copyright (c) 2019 Jaroslav Jindrak
  * All rights reserved.
  *
@@ -27,4 +27,5 @@
  */
 
+#include <cassert>
 #include <string>
 
@@ -34,4 +35,5 @@
     {
         // TODO: implement using stol once we have numeric limits
+        __unimplemented();
         return 0;
     }
@@ -72,4 +74,5 @@
     {
         // TODO: implement using stol once we have numeric limits
+        __unimplemented();
         return 0;
     }
@@ -78,4 +81,5 @@
     {
         // TODO: implement using stoul once we have numeric limits
+        __unimplemented();
         return 0;
     }
@@ -84,4 +88,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0.f;
     }
@@ -90,4 +95,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0.0;
     }
@@ -96,4 +102,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0.0l;
     }
@@ -206,4 +213,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0;
     }
@@ -212,4 +220,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0;
     }
@@ -218,4 +227,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0;
     }
@@ -224,4 +234,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0;
     }
@@ -230,4 +241,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0;
     }
@@ -236,4 +248,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0.f;
     }
@@ -242,4 +255,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0.0;
     }
@@ -248,4 +262,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return 0.0l;
     }
@@ -254,4 +269,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -260,4 +276,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -266,4 +283,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -272,4 +290,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -278,4 +297,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -284,4 +304,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -290,4 +311,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -296,4 +318,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
@@ -302,4 +325,5 @@
     {
         // TODO: implement
+        __unimplemented();
         return wstring{};
     }
Index: uspace/lib/cpp/src/thread.cpp
===================================================================
--- uspace/lib/cpp/src/thread.cpp	(revision 7137f74c74c9c2eea4980d18b86a6d9667725946)
+++ uspace/lib/cpp/src/thread.cpp	(revision ad40b74be3d68c92be9579f82a46483c3613a06d)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2018 Jaroslav Jindrak
+ * Copyright (c) 2019 Jaroslav Jindrak
  * All rights reserved.
  *
@@ -27,4 +27,5 @@
  */
 
+#include <cassert>
 #include <cstdlib>
 #include <exception>
@@ -120,4 +121,5 @@
     {
         // TODO:
+        __unimplemented();
         return 0;
     }
